Subject: Re: Lookup by UUID

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 5 Aug 2017 19:50:35 +0200

Hi Ludo,

> > So... just leave the entire "search" instruction off if it's created by grub-mkrescue ?  That's how one could interpret thir "root device" sentence...  
> 
> Oooh, interesting, that comes in handy.  :-)
> 
> Now, how can we pass the information to ‘grub-configuration-file’ so
> that it doesn’t emit that “search” command?

I've gone ahead and pushed bug# 27705 to master.  That means that there's now a new bootloader "grub-mkrescue-bootloader" in gnu/bootloaders/grub.scm . So you can just override its "configuration-file-generator" by one that doesn't emit the "search" command (remainder should be fine as-is).

I wonder what would happen (to Grub) if someone did guix system reconfigure in a system booted from the ISO9660 image, though.  I think it would be better to not install any bootloader in the case of mkrescue and guix system reconfigure.  We might want to do a follow-up commit that adds a dummy installer to the "installer" field of grub-mkrescue-bootloader.  WDYT?